class UseCase < ActiveRecord::Base
  has_many :steps, :order => :position, :dependent => :destroy
  belongs_to :main_actor, :class_name => "Actor", :foreign_key => :actor_id

  validates_presence_of :name, :actor_id
  validates_uniqueness_of :name
end
